#include <bits/stdc++.h>
using namespace std;
long long l, h[1005];
int n, br;
int main(){
cin >> n;
cin >> l;
br=1;
for(int i=1; i<=n; i++){
   cin >> h[i];
   if(l<h[i]){
      br++;
   }
   else{
      break;
   }
}
if(br==n){
   cout << -1;
}
else if(br<n){
   cout << br;
}
return 0;
}